# Update a Location

Updates a `Location` object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

## Prerequisites

Before you can run the following code snippet, you need to call these APIs with the provided parameters to set up the prerequisite API object(s).

1. createTerminalLocation
POST /v1/terminal/locations {"display_name":"My First Store","address":{"line1":"1234 Main Street","city":"San Francisco","postal_code":"94111","state":"CA","country":"US"}}

## Request

```curl
curl https://api.stripe.com/v1/terminal/locations/{{LOCATION_ID}} \
  -u "<<YOUR_SECRET_KEY>>" \
  -d "display_name=Update Store Name"
```

### Response

```json
{
  "id": "tml_FBakXQG8bQk4Mm",
  "object": "terminal.location",
  "address": {
    "city": "San Francisco",
    "country": "US",
    "line1": "1234 Main Street",
    "line2": "",
    "postal_code": "94111",
    "state": "CA"
  },
  "display_name": "Update Store Name",
  "livemode": false,
  "metadata": {}
}
```

## Returns

Returns an updated `Location` object if a valid identifier was provided.

## Parameters

- [`address`](https://docs.stripe.com/api/terminal/locations/update.md?query=address) (object, optional)
  The full address of the location. You can’t change the location’s `country`. If you need to modify the `country` field, create a new `Location` object and re-register any existing readers to that location.

- [`address_kana`](https://docs.stripe.com/api/terminal/locations/update.md?query=address_kana) (object, optional)
  The Kana variation of the full address of the location (Japan only).

- [`address_kanji`](https://docs.stripe.com/api/terminal/locations/update.md?query=address_kanji) (object, optional)
  The Kanji variation of the full address of the location (Japan only).

- `configuration_overrides` (string, optional)
  The ID of a configuration that will be used to customize all readers in this location.

- `display_name` (string, optional)
  A name for the location.

- `display_name_kana` (string, optional)
  The Kana variation of the name for the location (Japan only).

- `display_name_kanji` (string, optional)
  The Kanji variation of the name for the location (Japan only).

- `metadata` (map, optional)
  Set of [key-value pairs](https://docs.stripe.com/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

- `phone` (string, optional)
  The phone number for the location.
